Index: /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp
===================================================================
--- /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 181)
+++ /pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 182)
@@ -391,5 +391,5 @@
 CPP=clarm.exe
 # ADD BASE CPP /nologo /W3 /D _WIN32_WCE=$(CEVersion) /D "ARM" /D "_ARM_" /D "$(CePlatform)" /D "ARMV4I" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "NDEBUG" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
-# ADD CPP /nologo /W3 /I "../../include" /D "ARM" /D "_ARM_" /D "ARMV4I" /D "NDEBUG" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
+# ADD CPP /nologo /W3 /I "../../include" /D "ARMV4I" /D "NDEBUG" /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -417,5 +417,5 @@
 CPP=clarm.exe
 # ADD BASE CPP /nologo /W3 /Zi /Od /D "DEBUG" /D _WIN32_WCE=$(CEVersion) /D "ARM" /D "_ARM_" /D "$(CePlatform)" /D "ARMV4I" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
-# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARM" /D "_ARM_" /D "ARMV4I" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
+# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARMV4I" /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -495,5 +495,5 @@
 CPP=clarm.exe
 # ADD BASE CPP /nologo /W3 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "NDEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /O2 /M$(CECrtMT) /c
-# ADD CPP /nologo /W3 /I "../../include" /D "NDEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /O2 /M$(CECrtMT) /c
+# ADD CPP /nologo /W3 /I "../../include" /D "NDEBUG" /D "ARMV4" /D PJ_M_ARMV4=1 /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /O2 /M$(CECrtMT) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -521,5 +521,5 @@
 CPP=clarm.exe
 # ADD BASE CPP /nologo /W3 /Zi /Od /D "DEBUG" /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D "ARM" /D "_ARM_" /D "ARMV4" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /M$(CECrtMTDebug) /c
-# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARM" /D "_ARM_" /D "ARMV4" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /M$(CECrtMTDebug) /c
+# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARMV4" /D PJ_M_ARMV4=1 /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /M$(CECrtMTDebug) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -599,5 +599,5 @@
 CPP=clthumb.exe
 # ADD BASE CPP /nologo /W3 /D _WIN32_WCE=$(CEVersion) /D "ARM" /D "_ARM_" /D "$(CePlatform)" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "NDEBUG" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
-# ADD CPP /nologo /W3 /I "../../include" /D "ARM" /D "_ARM_" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D "NDEBUG" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
+# ADD CPP /nologo /W3 /I "../../include" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D "NDEBUG" /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /O2 /M$(CECrtMT) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -625,5 +625,5 @@
 CPP=clthumb.exe
 # ADD BASE CPP /nologo /W3 /Zi /Od /D "DEBUG" /D _WIN32_WCE=$(CEVersion) /D "ARM" /D "_ARM_" /D "$(CePlatform)" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
-# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "ARM" /D "_ARM_" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D PJ_WIN32_WINCE=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
+# ADD CPP /nologo /W3 /Zi /Od /I "../../include" /D "DEBUG" /D "THUMB" /D "_THUMB_" /D "ARMV4T" /D "ARM" /D "_ARM_" /D PJ_WIN32_WINCE=1 /D PJ_M_ARMV4=1 /D _WIN32_WCE=$(CEVersion) /D "$(CePlatform)" /D UNDER_CE=$(CEVersion) /D "UNICODE" /D "_UNICODE" /D "_LIB" /YX /QRarch4T /QRinterwork-return /M$(CECrtMTDebug) /c
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
@@ -1307,4 +1307,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -1560,4 +1561,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -2164,4 +2166,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -2410,4 +2413,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -2817,4 +2821,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -2979,4 +2984,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -3379,4 +3385,5 @@
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -3541,4 +3548,5 @@
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -3923,4 +3931,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -4078,4 +4087,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -4617,8 +4627,11 @@
 
 DEP_CPP_ERRNO=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\errno.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -4842,8 +4855,11 @@
 
 DEP_CPP_ERRNO=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\errno.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -5352,4 +5368,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -5556,4 +5573,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -6008,4 +6026,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -6191,4 +6210,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -6652,19 +6672,31 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
 	"..\..\include\pj\config.h"\
 	"..\..\include\pj\config_site.h"\
 	"..\..\include\pj\errno.h"\
 	"..\..\include\pj\file_access.h"\
-	"..\..\include\pj\types.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\os.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -6691,21 +6723,49 @@
 	"..\..\include\pj\compat\sprintf.h"\
 	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\errno.h"\
+	"..\..\include\pj\file_access.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\os.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	
+NODEP_CPP_FILE_=\
 	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+
+DEP_CPP_FILE_=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\errno.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
 	"..\..\include\pj\config.h"\
 	"..\..\include\pj\config_site.h"\
 	"..\..\include\pj\errno.h"\
 	"..\..\include\pj\file_access.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+	"..\..\include\pj\types.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
 
 DEP_CPP_FILE_=\
@@ -6733,5 +6793,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
 
 DEP_CPP_FILE_=\
@@ -6759,5 +6819,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
 
 DEP_CPP_FILE_=\
@@ -6785,5 +6845,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
 
 DEP_CPP_FILE_=\
@@ -6811,5 +6871,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
 
 DEP_CPP_FILE_=\
@@ -6820,56 +6880,31 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\m_arm.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
 	"..\..\include\pj\config.h"\
 	"..\..\include\pj\config_site.h"\
 	"..\..\include\pj\errno.h"\
 	"..\..\include\pj\file_access.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_FILE_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\file_access.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\os.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -7307,4 +7342,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -7322,4 +7358,5 @@
 	"..\..\include\pj\file_io.h"\
 	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -7344,5 +7381,33 @@
 	"..\..\include\pj\compat\os_win32_wince.h"\
 	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\errno.h"\
+	"..\..\include\pj\file_io.h"\
+	"..\..\include\pj\types.h"\
+	
+NODEP_CPP_FILE_I=\
 	"..\..\include\pj\compat\unicode.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+
+DEP_CPP_FILE_I=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\errno.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
 	"..\..\include\pj\config.h"\
 	"..\..\include\pj\config_site.h"\
@@ -7352,5 +7417,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
 
 DEP_CPP_FILE_I=\
@@ -7378,5 +7443,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
 
 DEP_CPP_FILE_I=\
@@ -7404,5 +7469,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
 
 DEP_CPP_FILE_I=\
@@ -7430,5 +7495,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
 
 DEP_CPP_FILE_I=\
@@ -7456,5 +7521,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
 
 DEP_CPP_FILE_I=\
@@ -7465,4 +7530,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -7480,31 +7546,5 @@
 	"..\..\include\pj\file_io.h"\
 	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_FILE_I=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\unicode.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\file_io.h"\
-	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -8019,4 +8059,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -8237,4 +8278,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -8804,4 +8846,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -9036,4 +9079,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -9634,8 +9678,11 @@
 
 DEP_CPP_HASH_=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
 	"..\..\include\pj\compat\cc_gcc.h"\
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -9880,8 +9927,11 @@
 
 DEP_CPP_HASH_=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
 	"..\..\include\pj\compat\cc_gcc.h"\
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -10626,4 +10676,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -10928,4 +10979,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -11344,4 +11396,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -11506,4 +11559,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -12116,4 +12170,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -12369,4 +12424,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -12938,4 +12994,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -13170,4 +13227,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -13595,4 +13653,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -13764,4 +13823,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -14439,4 +14499,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -14720,4 +14781,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -15328,4 +15390,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -15352,4 +15415,5 @@
 	"..\..\include\pj\string_i.h"\
 	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -15574,4 +15638,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -15598,4 +15663,5 @@
 	"..\..\include\pj\string_i.h"\
 	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -15975,17 +16041,27 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\os.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\os.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
 	"..\..\include\pj\types.h"\
 	
@@ -16139,4 +16215,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -16547,4 +16624,5 @@
 	"..\..\include\pj\compat\high_precision.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -16709,4 +16787,5 @@
 	"..\..\include\pj\compat\high_precision.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -17124,4 +17203,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -17293,4 +17373,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -17902,4 +17983,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -18155,4 +18237,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -18743,4 +18826,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -18982,4 +19066,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -19566,4 +19651,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -19805,4 +19891,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -20231,4 +20318,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -20400,4 +20488,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -20800,4 +20889,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -20962,4 +21052,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -21605,4 +21696,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -21872,4 +21964,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -22365,4 +22458,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -22562,4 +22656,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -23140,4 +23235,5 @@
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -23379,4 +23475,5 @@
 	"..\..\include\pj\compat\ctype.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -24015,4 +24112,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -24275,4 +24373,5 @@
 	"..\..\include\pj\compat\errno.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -24669,4 +24768,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -24824,4 +24924,5 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
 	"..\..\include\pj\compat\m_m68k.h"\
@@ -25383,4 +25484,38 @@
 	"..\..\include\pj\compat\cc_msvc.h"\
 	"..\..\include\pj\compat\m_alpha.h"\
+	"..\..\include\pj\compat\m_armv4.h"\
+	"..\..\include\pj\compat\m_i386.h"\
+	"..\..\include\pj\compat\m_m68k.h"\
+	"..\..\include\pj\compat\m_sparc.h"\
+	"..\..\include\pj\compat\os_linux.h"\
+	"..\..\include\pj\compat\os_linux_kernel.h"\
+	"..\..\include\pj\compat\os_palmos.h"\
+	"..\..\include\pj\compat\os_sunos.h"\
+	"..\..\include\pj\compat\os_win32.h"\
+	"..\..\include\pj\compat\os_win32_wince.h"\
+	"..\..\include\pj\compat\size_t.h"\
+	"..\..\include\pj\compat\sprintf.h"\
+	"..\..\include\pj\compat\string.h"\
+	"..\..\include\pj\compat\vsprintf.h"\
+	"..\..\include\pj\config.h"\
+	"..\..\include\pj\config_site.h"\
+	"..\..\include\pj\list.h"\
+	"..\..\include\pj\list_i.h"\
+	"..\..\include\pj\pool.h"\
+	"..\..\include\pj\pool_i.h"\
+	"..\..\include\pj\string.h"\
+	"..\..\include\pj\string_i.h"\
+	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
+	
+
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
+
+DEP_CPP_UNICO=\
+	"..\..\include\pj\assert.h"\
+	"..\..\include\pj\compat\assert.h"\
+	"..\..\include\pj\compat\cc_gcc.h"\
+	"..\..\include\pj\compat\cc_msvc.h"\
+	"..\..\include\pj\compat\m_alpha.h"\
 	"..\..\include\pj\compat\m_arm.h"\
 	"..\..\include\pj\compat\m_i386.h"\
@@ -25408,5 +25543,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
 
 DEP_CPP_UNICO=\
@@ -25441,5 +25576,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
 
 DEP_CPP_UNICO=\
@@ -25474,5 +25609,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE MIPS16) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
 
 DEP_CPP_UNICO=\
@@ -25507,5 +25642,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
 
 DEP_CPP_UNICO=\
@@ -25540,5 +25675,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
 
 DEP_CPP_UNICO=\
@@ -25573,5 +25708,5 @@
 	
 
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
+!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
 
 DEP_CPP_UNICO=\
@@ -25604,37 +25739,5 @@
 	"..\..\include\pj\string_i.h"\
 	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_UNICO=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_arm.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
+	"..\..\include\pj\unicode.h"\
 	
 
@@ -25655,4 +25758,8 @@
 # Begin Source File
 
+SOURCE=..\..\include\pj\compat\cc_gcc.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\include\pj\compat\cc_msvc.h
 # End Source File
@@ -25671,5 +25778,5 @@
 # Begin Source File
 
-SOURCE=..\..\include\pj\compat\m_arm.h
+SOURCE=..\..\include\pj\compat\m_armv4.h
 # End Source File
 # Begin Source File
@@ -25809,4 +25916,8 @@
 
 SOURCE=..\..\include\pj\os.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\include\pjlib.h
 # End Source File
 # Begin Source File
Index: project/trunk/pjlib/include/pj/compat/m_arm.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/compat/m_arm.h	(revision 181)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/* $Id$ */
-/* 
- * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
- */
-#ifndef __PJ_COMPAT_M_ARM_H__
-#define __PJ_COMPAT_M_ARM_H__
-
-/**
- * @file m_arm.h
- * @brief Describes ARM family processor specifics.
- */
-
-/*
- * This file covers PJ_M_ARMV4 etc.
- */
-
-#define PJ_M_NAME		"ARM"
-
-#define PJ_HAS_PENTIUM		0
-#define PJ_IS_LITTLE_ENDIAN	1
-#define PJ_IS_BIG_ENDIAN	0
-
-
-#endif	/* __PJ_COMPAT_M_ARM_H__ */
Index: /pjproject/trunk/pjlib/include/pj/compat/m_armv4.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/compat/m_armv4.h	(revision 182)
+++ /pjproject/trunk/pjlib/include/pj/compat/m_armv4.h	(revision 182)
@@ -0,0 +1,38 @@
+/* $Id$ */
+/* 
+ * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+#ifndef __PJ_COMPAT_M_ARMV4_H__
+#define __PJ_COMPAT_M_ARMV4_H__
+
+/**
+ * @file m_armv4.h
+ * @brief Describes ARM family processor specifics.
+ */
+
+/*
+ * This file covers PJ_M_ARMV4 etc.
+ */
+
+#define PJ_M_NAME		"armv4"
+
+#define PJ_HAS_PENTIUM		0
+#define PJ_IS_LITTLE_ENDIAN	1
+#define PJ_IS_BIG_ENDIAN	0
+
+
+#endif	/* __PJ_COMPAT_M_ARMV4_H__ */
Index: /pjproject/trunk/pjlib/include/pj/compat/socket.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/compat/socket.h	(revision 181)
+++ /pjproject/trunk/pjlib/include/pj/compat/socket.h	(revision 182)
@@ -77,5 +77,6 @@
  * Define common errors.
  */
-#ifdef PJ_WIN32
+#if (defined(PJ_WIN32) && PJ_WIN32!=0) || \
+    (defined(PJ_WIN32_WINCE) && PJ_WIN32_WINCE!=0)
 #  define OSERR_EWOULDBLOCK    WSAEWOULDBLOCK
 #  define OSERR_EINPROGRESS    WSAEINPROGRESS
Index: /pjproject/trunk/pjlib/include/pj/compat/string.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/compat/string.h	(revision 181)
+++ /pjproject/trunk/pjlib/include/pj/compat/string.h	(revision 182)
@@ -25,4 +25,14 @@
  */
 
+/**
+ * Native char type, which will be equal to wchar_t for Unicode
+ * and char for ANSI.
+ */
+#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+typedef wchar_t pj_char_t;
+#else
+typedef char pj_char_t;
+#endif
+
 #if defined(PJ_HAS_STRING_H) && PJ_HAS_STRING_H != 0
 #  include <string.h>
@@ -42,20 +52,71 @@
 #  endif
 #  define snprintf	_snprintf
+#  define wcsicmp	_wcsicmp
+#  define wcsnicmp	_wcsnicmp
 #else
 #  define stricmp	strcasecmp
 #  define strnicmp	strncasecmp
+
+#  if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+#     error "Implement Unicode string functions"
+#  endif
 #endif
 
 
-#define pj_native_strcmp        strcmp
-#define pj_native_strncmp	strncmp
-#define pj_native_strlen        strlen
-#define pj_native_strcpy        strcpy
-#define pj_native_strstr        strstr
-#define pj_native_strchr        strchr
-#define pj_native_strcasecmp    strcasecmp
-#define pj_native_stricmp	strcasecmp
-#define pj_native_strncasecmp   strncasecmp
-#define pj_native_strnicmp	strncasecmp
+#define pj_ansi_strcmp		strcmp
+#define pj_ansi_strncmp		strncmp
+#define pj_ansi_strlen		strlen
+#define pj_ansi_strcpy		strcpy
+#define pj_ansi_strcat		strcat
+#define pj_ansi_strstr		strstr
+#define pj_ansi_strchr		strchr
+#define pj_ansi_strcasecmp	strcasecmp
+#define pj_ansi_stricmp		strcasecmp
+#define pj_ansi_strncasecmp	strncasecmp
+#define pj_ansi_strnicmp	strncasecmp
+#define pj_ansi_sprintf		sprintf
+
+#define pj_unicode_strcmp	wcscmp
+#define pj_unicode_strncmp	wcsncmp
+#define pj_unicode_strlen	wcslen
+#define pj_unicode_strcpy	wcscpy
+#define pj_unicode_strcat	wcscat
+#define pj_unicode_strstr	wcsstr
+#define pj_unicode_strchr	wcschr
+#define pj_unicode_strcasecmp	wcsicmp
+#define pj_unicode_stricmp	wcsicmp
+#define pj_unicode_strncasecmp	wcsnicmp
+#define pj_unicode_strnicmp	wcsnicmp
+#define pj_unicode_sprintf	swprintf
+
+
+#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+#   define pj_native_strcmp	    pj_unicode_strcmp
+#   define pj_native_strncmp	    pj_unicode_strncmp
+#   define pj_native_strlen	    pj_unicode_strlen
+#   define pj_native_strcpy	    pj_unicode_strcpy
+#   define pj_native_strcat	    pj_unicode_strcat
+#   define pj_native_strstr	    pj_unicode_strstr
+#   define pj_native_strchr	    pj_unicode_strchr
+#   define pj_native_strcasecmp	    pj_unicode_strcasecmp
+#   define pj_native_stricmp	    pj_unicode_stricmp
+#   define pj_native_strncasecmp    pj_unicode_strncasecmp
+#   define pj_native_strnicmp	    pj_unicode_strnicmp
+#   define pj_native_sprintf	    pj_unicode_sprintf
+#else
+#   define pj_native_strcmp	    pj_ansi_strcmp
+#   define pj_native_strncmp	    pj_ansi_strncmp
+#   define pj_native_strlen	    pj_ansi_strlen
+#   define pj_native_strcpy	    pj_ansi_strcpy
+#   define pj_native_strcat	    pj_ansi_strcat
+#   define pj_native_strstr	    pj_ansi_strstr
+#   define pj_native_strchr	    pj_ansi_strchr
+#   define pj_native_strcasecmp	    pj_ansi_strcasecmp
+#   define pj_native_stricmp	    pj_ansi_stricmp
+#   define pj_native_strncasecmp    pj_ansi_strncasecmp
+#   define pj_native_strnicmp	    pj_ansi_strnicmp
+#   define pj_native_sprintf	    pj_ansi_sprintf
+#endif
+
 
 #endif	/* __PJ_COMPAT_STRING_H__ */
Index: /pjproject/trunk/pjlib/include/pj/config.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/config.h	(revision 181)
+++ /pjproject/trunk/pjlib/include/pj/config.h	(revision 182)
@@ -69,5 +69,5 @@
 #   include <pj/compat/m_sparc.h>
 #elif defined (PJ_M_ARMV4) && PJ_M_ARMV4 != 0
-#   include <pj/compat/m_arm.h>
+#   include <pj/compat/m_armv4.h>
 #else
 #  error "Please specify target machine."
Index: /pjproject/trunk/pjlib/include/pj/types.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/types.h	(revision 181)
+++ /pjproject/trunk/pjlib/include/pj/types.h	(revision 182)
@@ -68,4 +68,21 @@
 /** Boolean. */
 typedef int		pj_bool_t;
+
+/** Native char type, which will be equal to wchar_t for Unicode
+ * and char for ANSI. */
+#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+    typedef wchar_t pj_char_t;
+#else
+    typedef char pj_char_t;
+#endif
+
+/** This macro creates Unicode or ANSI literal string depending whether
+ *  native platform string is Unicode or ANSI. */
+#if defined(PJ_NATIVE_STRING_IS_UNICODE) && PJ_NATIVE_STRING_IS_UNICODE!=0
+#   define PJ_T(literal_str)	L##literal_str
+#else
+#   define PJ_T(literal_str)	literal_str
+#endif
+
 
 /** Status is OK. */
Index: /pjproject/trunk/pjlib/include/pjlib.h
===================================================================
--- /pjproject/trunk/pjlib/include/pjlib.h	(revision 181)
+++ /pjproject/trunk/pjlib/include/pjlib.h	(revision 182)
@@ -49,4 +49,5 @@
 #include <pj/string.h>
 #include <pj/timer.h>
+#include <pj/unicode.h>
 
 #include <pj/compat/high_precision.h>
